import { lazy, createSignal, Show } from "solid-js";
import { Routes, Route } from "solid-app-router";

import TitleStyle from "../components/titleStyle"

import baseText from "../base/baseText"
const BigScreen = lazy(() => import("../pages/BigScreen/Home"))

const [BottomLi, setBottomLi] = createSignal(baseText.bottoms);

export default function localRouter() {
    // 根据路由选择tab
    setBottomLi(BottomLi().map(bot => (bot.path === location.pathname ? { ...bot, select: true } : { ...bot, select: false })));
    return <>
        <Show when={location.pathname !== '/'}>
            <TitleStyle />
        </Show>
        <Routes>
            <Route path="/" element={<BigScreen />} />
        </Routes>
    </>
}